onmessage = (event) => {
    let logsSource;
    switch (event.data.type) {
        case 'connect': {
            logsSource = new EventSource(event.data.statusSseUrl);
            logsSource.addEventListener('log', (event) => {
                postMessage({
                    type: 'log',
                    lastEventId: event.lastEventId,
                    data: event.data,
                    timeStamp: event.timeStamp
                });
            });

            logsSource.addEventListener('svc', (event) => {
                postMessage({
                    type: 'svc',
                    lastEventId: event.lastEventId,
                    data: event.data,
                    timeStamp: event.timeStamp
                });
			});

            logsSource.addEventListener('close', (event) => {
				postMessage({ type: 'close' });
			});

            logsSource.onerror = (err) => {
                console.log('SSE error ' + err);
            };
        }

        case 'close': {
            logsSource.close();
        }
    }
};